<!DOCTYPE html>
<html>

<head>
  <title>PIZZA 365 v9.0</title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

  <!-- Bootstrap -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Plans</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">About</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact" onclick="onOrderDetailClick()">Order Detail</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b>Pizza 365</b></h1>
            <p style="font-style: italic">Truly italian!</p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/mon_y_1.jpg" alt="First slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_2.jpg" alt="Second slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_3.jpg" alt="Third slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_4.jpg" alt="Four slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/mon_y_5.jpg" alt="Five slide" />
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-primary text-white border">
                <h3 class="p-2">Không ngừng cải tiến</h3>
                <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn là yếu tố tiên quyết trong
                  chiến lược kinh doanh của chúng tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza hàng đầu.
                </p>
              </div>
              <div class="col-sm-3 p-4 bg-success text-white border">
                <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà, mọi lúc, mọi nơi.
                </p>
              </div>
              <div class="col-sm-3 p-4 bg-warning text-white border">
                <h3 class="p-2">Hướng đến sự vượt trội</h3>
                <p class="p-2">"Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá trị này là cốt lõi trong mỗi
                  con người của chúng tôi, trong mỗi công việc mà họ làm.</p>
              </div>
              <div class="col-sm-3 p-4 bg-info text-white border">
                <h3 class="p-2">Thể hiện đam mê</h3>
                <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm
                  ra giải pháp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>S ( Small size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 20 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>2</b></li>
                      <li class="list-group-item">Salad <b>200 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>150.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" id="btn-small" onclick="onBtnSmallSizeClick()"
                      data-is-selected-menu="N">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-secondary text-white text-center">
                    <h3>M (Medium size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 25 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b> 300 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>200.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" id="btn-medium" onclick="onBtnMediumSizeClick()"
                      data-is-selected-menu="N">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-dark text-white text-center">
                    <h3>L ( Large size )</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 30 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b> 500 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>250.000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-success" id="btn-large" onclick="onBtnLargeSizeClick()"
                      data-is-selected-menu="N">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Who We Are -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
          </div>

          <!-- Content Who We Are -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_1.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3> Hawai</h3>
                    <p>Món mới của cửa hàng</p>
                    <p>
                      Hãy thưởng thức món ăn gà đồi. Hương vị thơm ngon, dễ ăn.
                    </p>
                    <p>
                      <button class="btn btn-info w-100" id="btn-hawai" onclick="onBtnHawaiClick()"
                        data-is-selected-pizza="N">
                        Chọn
                      </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_2.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Hải Sản</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>
                      Bạn đã thử pizza được chế biến từ nguyên liệu hải sản
                      chưa ?
                    </p>
                    <p>
                      <button class="btn btn-info w-100" id="btn-hai-san" onclick="onBtnHaiSanClick()"
                        data-is-selected-pizza="N">
                        Chọn
                      </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_3.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Bacon</h3>
                    <p>Món ăn đăc biệt</p>
                    <p>
                      Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.
                    </p>
                    <p>
                      <button class="btn btn-info w-100" id="btn-bacon" onclick="onBtnBaconClick()"
                        data-is-selected-pizza="N">
                        Chọn
                      </button>
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div><br>
        <div class="row form-group">
          <label class="col-md-12 col-form-label text-center">Chọn đồ uống yêu thích của bạn<span
              class="text-danger">(*)</span></label>
          <div class="col-md-12">
            <select id="select-drink" class="form-control">
              <option value="0">-- Chọn đồ uống --</option>
            </select>
          </div>
        </div>
        <div id="contact" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="inp-name">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-name" placeholder="Họ và tên" />
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email" />
                </div>
                <div class="form-group">
                  <label for="inp-phone">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-phone" placeholder="Điện thoại" />
                </div>
                <div class="form-group">
                  <label for="inp-address">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-address" placeholder="Địa chỉ" />
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn" />
                </div>
                <div class="form-group">
                  <label for="inp-voucher">Mã giảm giá ( Voucher ID)</label>
                  <input type="text" class="form-control" id="inp-voucher" placeholder="Mã voucher..." />
                </div>
                <button type="button" class="btn btn-success w-100" id="btn-makeOder" onclick="onBtnKiemTraDonClick()">
                  Kiểm tra đơn
                </button>

              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">...</div>
            <div class="p-2">
              <button id="btn-send-data" type="button" class="btn btn-warning w-100" onclick="onBtnGuiDonClick()">
                Gửi đơn
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="div-order-code" class="container bg-warning p-2 jumbotron" style="display: none">
    <div class="text-center p-3">
      <h3> Cảm ơn bạn đã đặt hàng tại Pizza 365 !</h3>
    </div>
    <div class="form-group text-center">
      <label>Mã đơn hàng
        <input type="text" id="inp-ordercode"></button>
    </div>
  </div>
  <!-- Footer -->
  <div class="container-fluid bg-light p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  // danh sách các mã giảm giá


  // các combo Pizza
  const gCOMBO_SMALL = "Small";
  const gCOMBO_MEDIUM = "Medium";
  const gCOMBO_LARGE = "Large";

  // các loại pizza
  const gPIZZA_TYPE_HAWAI = "Hawai";
  const gPIZZA_TYPE_HAI_SAN = "HaiSan";
  const gPIZZA_TYPE_BACON = "Bacon";

  const gREQUEST_STATUS_FINISH_AND_OK = 200;
  const gREQUEST_STATUS_OK = 200; // GET & PUT success
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
  const gBASE_URL_ORDER = "http://203.171.20.210:8080/devcamp-pizza365/orders";
  const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
  const gBASE_URL_VOUCHER = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";

  var vId="";
  var vOrderCode="";
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  // hàm được gọi khi bấm nút chọn kích cỡ S
  function onPageLoading() {
    console.log("%c Bắt đầu Tải Trang.....", "color:green");
    goiApiLoadDoUong();
  }
  function goiApiLoadDoUong() {
    var vAPI_URL = gBASE_URL;

    var vXhttp = new XMLHttpRequest();
    vXhttp.open("GET", vAPI_URL, true);
    vXhttp.send();

    vXhttp.onreadystatechange = function () {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
        console.log(vXhttp.responseText); //ghi tạm ra console xem thu coi dc ko
        loadDataToDrinkSelect(vXhttp);
      }
    };
  }
  function loadDataToDrinkSelect(paramXhttp) {
    var vDrinkObjs = JSON.parse(paramXhttp.responseText);
    var vDrinkSelect = document.getElementById("select-drink");

    for (var bI = 0; bI < vDrinkObjs.length; bI++) {
      var bDrinkOption = document.createElement("option");
      bDrinkOption.value = vDrinkObjs[bI].id;
      bDrinkOption.text = vDrinkObjs[bI].tenNuocUong;
      vDrinkSelect.appendChild(bDrinkOption);
    }
  }
  function onBtnSmallSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_SMALL);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn kích cỡ M
  function onBtnMediumSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Medium, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_MEDIUM);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn kích cỡ L
  function onBtnLargeSizeClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh combo, combo được chọn là Large, đổi nút, và đánh dấu
    // data-is-selected-menu của nút Basic là Y, các nút khác là N
    changeComboButtonColor(gCOMBO_LARGE);
    //tạo một đối tượng menu, được tham số hóa
    var vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
    // gọi method hiển thị thông tin
    vSelectedMenuStructure.displayInConsoleLog();
  }
  // hàm được gọi khi bấm nút chọn loại pizza gà
  function onBtnHawaiClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là GÀ , đổi nút, và đánh dấu
    // data-is-selected-pizza của nút gà là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_HAWAI);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAWAI);
  }
  // hàm được gọi khi bấm nút chọn loại pizza Hải sản
  function onBtnHaiSanClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là Hải sản, đổi nút, và đánh dấu
    // data-is-selected-pizza của nút Hải sản là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_HAI_SAN);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_HAI_SAN);
  }
  // hàm được gọi khi bấm nút chọn loại pizza Hun khói
  function onBtnBaconClick() {
    "use strict";
    // gọi hàm đổi màu nút
    // chỉnh loại pizza, loại pizza được chọn là Bacon, đổi nút, và đánh dấu
    // data-is-selected-pizza của nút Bacon là Y, các nút khác là N
    changeTypeButtonColor(gPIZZA_TYPE_BACON);
    // ghi loại pizza đã chọn ra console
    console.log("Loại pizza đã chọn: " + gPIZZA_TYPE_BACON);
  }
  // Hàm được gọi khi click nút kiểm tra đơn
  function onBtnKiemTraDonClick() {
    console.log("%c Kiểm tra đơn", "color: orange;");
    // Bước 1: Đọc
    var vOrder = getOrder();
    //Bước 2: kiểm tra
    var vKetQuaKiemTra = checkValidatedForm(vOrder);
    if (vKetQuaKiemTra) {
      //Bước 3: Hiển thị
      showOrderInfo(vOrder)
    }
  }

  //Hàm được gọi khi ấn nút Gửi đơn
  function onBtnGuiDonClick(paramOrder) {
    var vOrder = getOrder();
    inThongTinRaConsole(vOrder);
    var vXmlHttpCreateOrder = new XMLHttpRequest();
    callApiToCreateOrder(vOrder, vXmlHttpCreateOrder);


    vXmlHttpCreateOrder.onreadystatechange =
      function () {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
          var vCreatedOrder = vXmlHttpCreateOrder.responseText;
          console.log(vCreatedOrder);
          var vCreateOrderObj = JSON.parse(vXmlHttpCreateOrder.responseText);
          console.log(vCreateOrderObj);
          showOrderCodeOnDiv(vCreateOrderObj);
            vId = vCreateOrderObj.id;
            vOrderCode = vCreateOrderObj.orderCode;
        }
      }; return vId;
      return vOrderCode;

  }
  function onOrderDetailClick() {
    "use strict";
    console.log(vId);
    console.log(vOrderCode);
    // lấy thông tin Id và OrderCode của đơn hàng truyền sang string query trang Order form
    
    const gORDER_FORM_URL = "viewOrder.html";
    var vOpenOrderForm = gORDER_FORM_URL + "?" + "id=" + vId + "&ordercode=" + vOrderCode;
    window.location.href = vOpenOrderForm;

  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //function get combo (lấy menu được chọn)
  //function trả lại một đối tượng combo (menu được chọn) được tham số hóa
  function getComboSelected(
    paramMenuName,
    paramDuongKinh,
    paramSuon,
    paramSalad,
    paramDrink,
    paramPriceVND
  ) {
    var vSelectedMenu = {
      menuName: paramMenuName, // S, M, L
      duongKinh: paramDuongKinh,
      suon: paramSuon,
      salad: paramSalad,
      drink: paramDrink,
      priceVND: paramPriceVND,
      displayInConsoleLog() {
        console.log("%cPLAN MENU COMBO - .........", "color:blue");
        console.log(this.menuName); //this = "đối tượng này"
        console.log("duongKinhCM: " + this.duongKinh);
        console.log("suonNuong: " + this.suon);
        console.log("saladGr: " + this.salad);
        console.log("drink:" + this.drink);
        console.log("priceVND: " + this.priceVND);
      },
    };
    return vSelectedMenu;
  }

  // hàm thu thập(đọc) thông tin khách hàng
  function getOrder() {
    var vBtnBasic = document.getElementById("btn-small"); // truy vấn nút chọn kích cỡ small
    var vMenuBasicDaChon = vBtnBasic.getAttribute("data-is-selected-menu");
    var vBtnMedium = document.getElementById("btn-medium"); //truy vấn nút chọn kích cỡ medium
    var vMenuMediumDaChon = vBtnMedium.getAttribute("data-is-selected-menu");
    var vBtnLarge = document.getElementById("btn-large"); //truy vấn nút chọn kích cỡ large
    var vMenuLargeDaChon = vBtnLarge.getAttribute("data-is-selected-menu");
    var vSelectedMenuStructure = getComboSelected("", 0, 0, 0, 0, 0);
    if (vMenuBasicDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("S", 20, 2, 200, 2, 150000);
    }
    else if (vMenuMediumDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("M", 25, 4, 300, 3, 200000);
    }
    else if (vMenuLargeDaChon === "Y") {
      vSelectedMenuStructure = getComboSelected("L", 30, 8, 500, 4, 250000);
    }
    var vBtnHawai = document.getElementById("btn-hawai"); // truy vấn nút chọn loại pizza gà
    var vPizzaHawaiDaChon = vBtnHawai.getAttribute("data-is-selected-pizza");
    var vBtnHaiSan = document.getElementById("btn-hai-san"); //truy vấn nút chọn loại pizza hải sản
    var vPizzaHaiSanDaChon = vBtnHaiSan.getAttribute("data-is-selected-pizza");
    var vBtnBacon = document.getElementById("btn-bacon"); //truy vấn nút chọn loại pizza bacon
    var vPizzaBaconDaChon = vBtnBacon.getAttribute("data-is-selected-pizza");
    var vLoaiPizza = "";
    if (vPizzaHawaiDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_HAWAI;
    }
    else if (vPizzaHaiSanDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_HAI_SAN;
    }
    else if (vPizzaBaconDaChon === "Y") {
      vLoaiPizza = gPIZZA_TYPE_BACON;
    }
    var vElementInputDrinks = document.getElementById("select-drink");
    var vValueDrinks = vElementInputDrinks.value;

    var vElementInputName = document.getElementById("inp-name");
    var vValueInputName = vElementInputName.value;

    var vElementInputEmail = document.getElementById("inp-email");
    var vValueInputEmail = vElementInputEmail.value;

    var vElementInputPhone = document.getElementById("inp-phone");
    var vValueInputPhone = vElementInputPhone.value;

    var vElementInputAddress = document.getElementById("inp-address");
    var vValueInputAddress = vElementInputAddress.value;

    var vElementInputMessage = document.getElementById("inp-message");
    var vValueInputMessage = vElementInputMessage.value;

    var vElementInputVoucherID = document.getElementById("inp-voucher");
    var vValueInputVoucherID = vElementInputVoucherID.value;
    // khái báo biến để chứa phần trăm giảm giá
    var vPercent = 0;
    // goi ham tinh phan tram
    var vVoucherObj = getVoucherByAPI(vValueInputVoucherID);
    if (vValueInputVoucherID != "" && vVoucherObj != null) {

      vPercent = vVoucherObj.phanTramGiamGia;
    }
    var vOrderInfo = {
      menuCombo: vSelectedMenuStructure,
      kichCo: vSelectedMenuStructure.menuName,
      duongKinh: vSelectedMenuStructure.duongKinh,
      salad: vSelectedMenuStructure.salad,
      suon: vSelectedMenuStructure.suon,
      loaiPizza: vLoaiPizza,
      idLoaiNuocUong: vValueDrinks,
      soLuongNuoc: vSelectedMenuStructure.drink,
      hoTen: vValueInputName,
      email: vValueInputEmail,
      soDienThoai: vValueInputPhone,
      diaChi: vValueInputAddress,
      loiNhan: vValueInputMessage,
      idVoucher: vValueInputVoucherID,
      giamGia: vPercent,
      thanhTien: function () {
        var vTotal = this.menuCombo.priceVND * (1 - this.giamGia / 100);
        return vTotal;
      }
    };
    return vOrderInfo;
  }

  // ham kiem tra thong tin dat hang
  // input: doi tuong khach hang
  // output: dung/ sai (true/ false)
  function checkValidatedForm(paramOrder) {
    if (paramOrder.menuCombo.menuName === "") {
      alert("Chọn combo pizza...");
      return false;
    }
    if (paramOrder.loaiPizza === "") {
      alert("Chọn loại pizza...");
      return false;
    }
    if (paramOrder.idLoaiNuocUong == 0) {
      alert("Chọn loại đồ uống...");
      return false;
    }
    if (paramOrder.hoTen === "") {
      alert("Nhập họ và tên");
      return false;
    }
    if (isEmail(paramOrder.email) == false) {
      return false;
    }

    if (paramOrder.soDienThoai === "") {
      alert("Nhập vào số điện thoại...");
      return false;
    }
    if (paramOrder.diaChi === "") {
      alert("Địa chỉ không để trống...");
      return false;
    }
    return true;
  }
  // hàm đổi mầu nút khi chọn combo
  function changeComboButtonColor(paramPlan) {
    var vBtnBasic = document.getElementById("btn-small"); // truy vấn nút chọn kích cỡ small
    var vBtnMedium = document.getElementById("btn-medium"); //truy vấn nút chọn kích cỡ medium
    var vBtnLarge = document.getElementById("btn-large"); //truy vấn nút chọn kích cỡ large

    if (paramPlan === gCOMBO_SMALL) {
      //nếu chọn menu Small thì thay màu nút chọn kích cỡ small bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-warning";
      vBtnBasic.setAttribute("data-is-selected-menu", "Y");
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");
      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");

    } else if (paramPlan === gCOMBO_MEDIUM) {
      //nếu chọn menu Medium thì thay màu nút chọn kích cỡ Medium bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-success";
      vBtnBasic.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-warning";
      vBtnMedium.setAttribute("data-is-selected-menu", "Y");
      vBtnLarge.className = "btn btn-success";
      vBtnLarge.setAttribute("data-is-selected-menu", "N");
    } else if (paramPlan === gCOMBO_LARGE) {
      //nếu chọn menu Large thì thay màu nút chọn kích cỡ Large bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-menu
      vBtnBasic.className = "btn btn-success";
      vBtnBasic.setAttribute("data-is-selected-menu", "N");
      vBtnMedium.className = "btn btn-success";
      vBtnMedium.setAttribute("data-is-selected-menu", "N");
      vBtnLarge.className = "btn btn-warning";
      vBtnLarge.setAttribute("data-is-selected-menu", "Y");
    }
  }

  // hàm đổi mầu nút khi chọn loại pizza
  function changeTypeButtonColor(paramType) {
    var vBtnHawai = document.getElementById("btn-hawai"); // truy vấn nút chọn loại pizza gà
    var vBtnHaiSan = document.getElementById("btn-hai-san"); //truy vấn nút chọn loại pizza hải sản
    var vBtnBacon = document.getElementById("btn-bacon"); //truy vấn nút chọn loại pizza bacon

    if (paramType === gPIZZA_TYPE_HAWAI) {
      //nếu chọn loại pizza Gà thì thay màu nút chọn loại pizza gà bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnHawai.className = "btn btn-warning w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "Y");
      vBtnHaiSan.className = "btn btn-info w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");
      vBtnBacon.className = "btn btn-info w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "N");
    } else if (paramType === gPIZZA_TYPE_HAI_SAN) {
      //nếu chọn loại pizza Hải sản thì thay màu nút chọn loại pizza Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnHawai.className = "btn btn-info w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "N");
      vBtnHaiSan.className = "btn btn-warning w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "Y");
      vBtnBacon.className = "btn btn-info w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "N");
    } else if (paramType === gPIZZA_TYPE_BACON) {
      //nếu chọn loại pizza Bacon thì thay màu nút chọn loại pizza Bacon bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // đổi giá trị data-is-selected-pizza
      vBtnHawai.className = "btn btn-info w-100";
      vBtnHawai.setAttribute("data-is-selected-pizza", "N");
      vBtnHaiSan.className = "btn btn-info w-100";
      vBtnHaiSan.setAttribute("data-is-selected-pizza", "N");
      vBtnBacon.className = "btn btn-warning w-100";
      vBtnBacon.setAttribute("data-is-selected-pizza", "Y");
    }
  }

  // Hàm tìm kiếm voucher trong Array
  function getVoucherByAPI(paramVoucher) {
    "use strict";
    if (paramVoucher != null && paramVoucher != '') {
      var vXmlHttpVoucher = new XMLHttpRequest();
      vXmlHttpVoucher.open("GET", gBASE_URL_VOUCHER + paramVoucher, false);
      vXmlHttpVoucher.send();
      if (vXmlHttpVoucher.status == gREQUEST_STATUS_OK) { // restFullAPI successful
        // nhận lại response dạng JSON ở vXmlHttpVoucher.responseText và chuyển thành object
        console.log(vXmlHttpVoucher.responseText);         //ghi ra coi thử có đc chưa
        var vVoucherObj = JSON.parse(vXmlHttpVoucher.responseText);
        return vVoucherObj;
      }
    }  // nếu mã giảm giấ đã nhập, tạo vXmlHttp request và gửi về server

  }
  //hàm kiểm tra email
  function isEmail(paramEmail) {
    if (paramEmail < 3) {
      alert("Nhập email...");
      return false;
    }
    if (paramEmail.indexOf("@") === -1) {
      alert("Email phải có ký tự @");
      return false;
    }
    if (paramEmail.startsWith("@") === true) {
      alert("Email không bắt đầu bằng @");
      return false;
    }
    if (paramEmail.endsWith("@") === true) {
      alert("Email kết thúc bằng @");
      return false;
    }
    return true;
  }
  /// hàm show thông tin đặt hàng
  function showOrderInfo(paramOrder) {
    var vDivContainer = document.getElementById("div-container-order");
    var vDivOrderInfo = document.getElementById("div-order-infor");
    var vSelectDrinkElement = document.getElementById("select-drink");
    var vSelectDrinkType = vSelectDrinkElement.options[vSelectDrinkElement.selectedIndex].text;
    vDivContainer.style.display = "block";
    vDivOrderInfo.innerHTML = "Họ và tên: " + paramOrder.hoTen + "<br>";
    vDivOrderInfo.innerHTML += "Email: " + paramOrder.email + "<br>";
    vDivOrderInfo.innerHTML += "Điện thoại: " + paramOrder.soDienThoai + "<br>";
    vDivOrderInfo.innerHTML += "Địa chỉ: " + paramOrder.diaChi + "<br>";
    vDivOrderInfo.innerHTML += "Lời nhắn: " + paramOrder.loiNhan + "<br>";
    vDivOrderInfo.innerHTML += "....................................." + "<br>";
    vDivOrderInfo.innerHTML += "Kích cỡ: " + paramOrder.menuCombo.menuName + "<br>";
    vDivOrderInfo.innerHTML += "Đường kính: " + paramOrder.menuCombo.duongKinh + "<br>";
    vDivOrderInfo.innerHTML += "Sườn nướng: " + paramOrder.menuCombo.suon + "<br>";
    vDivOrderInfo.innerHTML += "Salad : " + paramOrder.menuCombo.salad + "<br>";
    vDivOrderInfo.innerHTML += "Nước Uống : " + paramOrder.menuCombo.drink + "<br>";
    vDivOrderInfo.innerHTML += "Loại Nước Uống : " + vSelectDrinkType + "<br>";
    vDivOrderInfo.innerHTML += "....................................." + "<br>";
    vDivOrderInfo.innerHTML += "Loại pizza : " + paramOrder.loaiPizza + "<br>";
    vDivOrderInfo.innerHTML += "Mã voucher : " + paramOrder.idVoucher + "<br>";
    vDivOrderInfo.innerHTML += "Giá vnd : " + paramOrder.menuCombo.priceVND + "<br>";
    vDivOrderInfo.innerHTML += "Discount %: " + paramOrder.giamGia + "<br>";
    vDivOrderInfo.innerHTML += "Phải thanh toán vnd: " + paramOrder.thanhTien();
  }

  // Hàm ghi thông tin đặt hàng ra console
  function inThongTinRaConsole(paramOrder) {
    var vSelectDrinkElement = document.getElementById("select-drink");
    var vSelectDrinkType = vSelectDrinkElement.options[vSelectDrinkElement.selectedIndex].text;
    console.log("%c Thông tin đặt hàng", "color: green;");
    console.log("Họ và tên: " + paramOrder.hoTen);
    console.log("Email: " + paramOrder.email);
    console.log("Điện thoại: " + paramOrder.soDienThoai);
    console.log("Địa chỉ: " + paramOrder.diaChi);
    console.log("Lời nhắn: " + paramOrder.loiNhan);
    console.log(".....................................");
    console.log("Kích cỡ: " + paramOrder.menuCombo.menuName);
    console.log("Đường kính: " + paramOrder.menuCombo.duongKinh);
    console.log("Sườn nướng: " + paramOrder.menuCombo.suon);
    console.log("Salad : " + paramOrder.menuCombo.salad);
    console.log("số Nước uống : " + paramOrder.menuCombo.drink);
    console.log("Loại nước uống: " + vSelectDrinkType);
    console.log(".....................................");
    console.log("Loại pizza : " + paramOrder.loaiPizza);
    console.log("Mã voucher : " + paramOrder.idVoucher);
    console.log("Giá vnd : " + paramOrder.menuCombo.priceVND);
    console.log("Discount %: " + paramOrder.giamGia);
    console.log("Phải thanh toán vnd: " + paramOrder.thanhTien());
  }
  function goiApiDeCheckMaGiamGia(paramVoucherObj, paramXmlHttp) {
    paramXmlHttp.open("GET", gBASE_URL2 + paramVoucherObj.idVoucher, false);
    paramXmlHttp.send();

    var vStatusCode = paramXmlHttp.status;
    // nếu trạng thái trả về thành công!
    if (vStatusCode == gREQUEST_STATUS_FINISH_AND_OK) {
      // nhận lại response dạng JSON ở xmlHttp.responseText và chuyển thành object
      var bVoucherResponse = JSON.parse(paramXmlHttp.responseText);
      console.log(bVoucherResponse);
    }
    else {
      alert("Không tìm thấy mã giảm giá");
    }
    return paramVoucherObj;
  }
  function showOrderCodeOnDiv(paramCreateOrder) {

    var vElementButtonShowOrder = document.getElementById("div-order-infor");
    vElementButtonShowOrder.style.display = "none";
    var vElementButtonSendOrder = document.getElementById("btn-send-data");
    vElementButtonSendOrder.style.display = "none";
    var vElemenShowOrderContainer = document.getElementById("div-container-order");
    vElemenShowOrderContainer.style.display = "none";
    var vElemenShowOrderCode = document.getElementById("inp-ordercode");
    var vDivShowOrderCode = document.getElementById("div-order-code");
    vElemenShowOrderCode.value = paramCreateOrder.orderCode;
    vDivShowOrderCode.style.display = "block";

  }
  function callApiToCreateOrder(paramOrder, paramXmlHttpCreateOrder) {
    var vSelectDrinkElement = document.getElementById("select-drink");
    var vSelectDrinkType = vSelectDrinkElement.options[vSelectDrinkElement.selectedIndex].text;
    var vOrderObj = {
      kichCo: paramOrder.menuCombo.menuName,
      duongKinh: paramOrder.menuCombo.duongKinh,
      suon: paramOrder.menuCombo.suon,
      salad: paramOrder.menuCombo.salad,
      loaiPizza: paramOrder.loaiPizza,
      idVourcher: paramOrder.idVoucher,
      idLoaiNuocUong: vSelectDrinkType,
      soLuongNuoc: paramOrder.menuCombo.drink,
      hoTen: paramOrder.hoTen,
      thanhTien: paramOrder.thanhTien(),
      email: paramOrder.email,
      soDienThoai: paramOrder.soDienThoai,
      diaChi: paramOrder.diaChi,
      loiNhan: paramOrder.loiNhan,
    };
    paramXmlHttpCreateOrder.open("POST", gBASE_URL_ORDER, true);
    paramXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    paramXmlHttpCreateOrder.send(JSON.stringify(vOrderObj));
  }
</script>

</html>